# ncurses 6.0 - patch 20160305 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20160305.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar  6 02:17:40 UTC 2016
# ------------------------------------------------------------------------------
# NEWS                             |    6 +++++-
# VERSION                          |    2 +-
# configure                        |   36 +++++++++++++++++++-----------------
# configure.in                     |    6 ++++--
# dist.mk                          |    4 ++--
# include/ncurses_cfg.hin          |   12 +++++-------
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 12 files changed, 46 insertions(+), 40 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2575 
--- ncurses-6.0-20160220+/NEWS	2016-02-21 00:29:51.000000000 +0000
+++ ncurses-6.0-20160305/NEWS	2016-03-05 23:25:40.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2575 2016/02/21 00:29:51 tom Exp $
+-- $Id: NEWS,v 1.2578 2016/03/05 23:25:40 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20160305
+	+ omit a redefinition of "inline" when traces are enabled, since this
+	  does not work with gcc 5.3.x MinGW cross-compiling (cf: 20150912).
+
 20160220
 	+ modify test/configure script to check for pthread dependency of
 	  ncursest or ncursestw library when building ncurses examples, e.g.,
Index: VERSION
--- ncurses-6.0-20160220+/VERSION	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/VERSION	2016-03-05 21:46:00.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20160220
+5:0:9	6.0	20160305
Index: configure
--- ncurses-6.0-20160220+/configure	2016-02-20 23:53:33.000000000 +0000
+++ ncurses-6.0-20160305/configure	2016-03-05 23:54:29.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.626 .
+# From configure.in Revision: 1.627 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20150926.
 #
@@ -22579,6 +22579,8 @@
 	cf_filter_syms=yes
 fi
 
+test "x$cf_with_trace" = xyes && NCURSES_INLINE=
+
 UNALTERED_SYMS=`echo "$RESULTING_SYMS" | sed -e 's/\\$/\\\\$/g'`
 if test $cf_filter_syms = yes
 then
@@ -22672,7 +22674,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:22675: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:22677: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -22848,7 +22850,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:22851: error: ambiguous option: $1
+    { { echo "$as_me:22853: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22867,7 +22869,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:22870: error: unrecognized option: $1
+  -*) { { echo "$as_me:22872: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22986,7 +22988,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:22989: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:22991: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -23461,7 +23463,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:23464: creating $ac_file" >&5
+    { echo "$as_me:23466: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -23479,7 +23481,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:23482: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:23484: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -23492,7 +23494,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:23495: error: cannot find input file: $f" >&5
+           { { echo "$as_me:23497: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -23508,7 +23510,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:23511: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:23513: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -23517,7 +23519,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:23520: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:23522: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -23554,7 +23556,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:23557: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:23559: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -23565,7 +23567,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:23568: WARNING: Some variables may not be substituted:
+      { echo "$as_me:23570: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -23614,7 +23616,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:23617: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:23619: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -23625,7 +23627,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:23628: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:23630: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -23638,7 +23640,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:23641: error: cannot find input file: $f" >&5
+           { { echo "$as_me:23643: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -23696,7 +23698,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:23699: $ac_file is unchanged" >&5
+      { echo "$as_me:23701: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -24041,7 +24043,7 @@
 				(cygdll|msysdll|mingw)
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:24044: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:24046: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.626 
--- ncurses-6.0-20160220+/configure.in	2016-02-06 21:59:17.000000000 +0000
+++ ncurses-6.0-20160305/configure.in	2016-03-05 23:44:23.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.626 2016/02/06 21:59:17 tom Exp $
+dnl $Id: configure.in,v 1.627 2016/03/05 23:44:23 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.626 $)
+AC_REVISION($Revision: 1.627 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -2184,6 +2184,8 @@
 	cf_filter_syms=yes
 fi
 
+test "x$cf_with_trace" = xyes && NCURSES_INLINE=
+
 UNALTERED_SYMS=`echo "$RESULTING_SYMS" | sed -e 's/\\$/\\\\$/g'`
 if test $cf_filter_syms = yes
 then
Index: dist.mk
Prereq:  1.1094 
--- ncurses-6.0-20160220+/dist.mk	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/dist.mk	2016-03-05 21:46:00.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1094 2016/02/20 12:56:42 tom Exp $
+# $Id: dist.mk,v 1.1096 2016/03/05 21:46:00 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20160220
+NCURSES_PATCH = 20160305
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/ncurses_cfg.hin
Prereq:  1.8 
--- ncurses-6.0-20160220+/include/ncurses_cfg.hin	2015-09-12 20:49:54.000000000 +0000
+++ ncurses-6.0-20160305/include/ncurses_cfg.hin	2016-03-05 21:45:24.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2005,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -30,7 +30,7 @@
  *  Author: Thomas E. Dickey      1997-on                                   *
  ****************************************************************************/
 /*
- * $Id: ncurses_cfg.hin,v 1.8 2015/09/12 20:49:54 tom Exp $
+ * $Id: ncurses_cfg.hin,v 1.9 2016/03/05 21:45:24 tom Exp $
  *
  * This is a template-file used to generate the "ncurses_cfg.h" file.
  *
@@ -52,11 +52,6 @@
 #ifdef __cplusplus
 #undef const
 #undef inline
-#elif !defined(__clang__)
-#if defined(lint) || defined(TRACE)
-#undef inline
-#define inline /* nothing */
-#endif
 #endif
 
 	/* On HP-UX, the C compiler doesn't grok mbstate_t without
@@ -69,4 +64,7 @@
 #endif
 #endif
 
+/*
+ * vile:cmode
+ */
 #endif /* NC_CONFIG_H */
Index: package/debian-mingw/changelog
--- ncurses-6.0-20160220+/package/debian-mingw/changelog	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/debian-mingw/changelog	2016-03-05 21:46:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160220) unstable; urgency=low
+ncurses6 (6.0+20160305) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Feb 2016 07:56:42 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Mar 2016 16:46:00 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20160220+/package/debian-mingw64/changelog	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/debian-mingw64/changelog	2016-03-05 21:46:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160220) unstable; urgency=low
+ncurses6 (6.0+20160305) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Feb 2016 07:56:42 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Mar 2016 16:46:00 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20160220+/package/debian/changelog	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/debian/changelog	2016-03-05 21:46:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160220) unstable; urgency=low
+ncurses6 (6.0+20160305) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Feb 2016 07:56:42 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Mar 2016 16:46:00 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.146 
--- ncurses-6.0-20160220+/package/mingw-ncurses.nsi	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/mingw-ncurses.nsi	2016-03-05 21:46:00.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.146 2016/02/20 12:56:42 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.148 2016/03/05 21:46:00 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "0220"
+!define VERSION_MMDD  "0305"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20160220+/package/mingw-ncurses.spec	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/mingw-ncurses.spec	2016-03-05 21:46:00.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20160220
+Release: 20160305
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20160220+/package/ncurses.spec	2016-02-20 12:56:42.000000000 +0000
+++ ncurses-6.0-20160305/package/ncurses.spec	2016-03-05 21:46:00.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20160220
+Release: 20160305
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
